--- amarok/src/loader/loader.cpp.sav	2007-08-15 15:02:24.000000000 +0200
+++ amarok/src/loader/loader.cpp	2007-08-15 15:07:19.000000000 +0200
@@ -25,7 +25,7 @@
 #include <kinstance.h>
 #include <kglobal.h>
 #include <kstandarddirs.h>
-#include "splash.h"
+#include <ksplashscreen.h>
 
 extern "C"
 {
@@ -142,8 +142,15 @@ Loader::Loader( QStringList args )
     // we transmit the startup_id, so amarokapp can stop the startup animation
     //FIXME QCString str( ::getenv( "DESKTOP_STARTUP_ID" ) );
 
-     if( !QApplication::isSessionRestored() && isSplashEnabled() )
-        m_splash = new Splash;
+     if( !QApplication::isSessionRestored())
+     {
+        KInstance instance("amarok"); // KGlobal::dirs() crashes without
+        if( isSplashEnabled() )
+        {
+            m_splash = new KSplashScreen( QPixmap( KStandardDirs().findResource("data", "amarok/images/splash_screen.jpg")));
+            m_splash->show();
+        }
+     }
 
     args.prepend( "amarokapp" );
 
@@ -207,7 +214,6 @@ bool
 isSplashEnabled()
 {
     //determine whether splash-screen is enabled in amarokrc
-    KInstance instance("amarok"); // KGlobal::dirs() crashes without
     (void)KGlobal::config(); // the kubuntu special directory is not present without this
     QStringList dirs = KGlobal::dirs()->findAllResources( "config", "amarokrc" );
 
--- amarok/src/loader/Makefile.am.sav	2007-08-15 15:02:24.000000000 +0200
+++ amarok/src/loader/Makefile.am	2007-08-15 15:03:46.000000000 +0200
@@ -4,12 +4,11 @@ INCLUDES = \
         $(all_includes)
 
 amarok_SOURCES = \
-        loader.cpp \
-        splash.cpp
+        loader.cpp
 
 amarok_LDADD = \
         $(LIB_QT) \
-        $(LIB_KDECORE)
+        $(LIB_KDEUI)
 
 amarok_LDFLAGS = $(all_libraries) $(KDE_RPATH)
 
--- amarok/src/loader/splash.cpp.sav	2007-08-15 15:02:24.000000000 +0200
+++ amarok/src/loader/splash.cpp	1970-01-01 01:00:00.000000000 +0100
@@ -1,48 +0,0 @@
-/*
-  This program is free software; you can redistribute it and/or modify
-  it under the terms of the GNU General Public License as published by
-  the Free Software Foundation; either version 2 of the License, or
-  (at your option) any later version.
-*/
-
-// begin:     Fre Sep 26 2003
-// copyright: (C) 2003 Christian Muehlhaeuser
-//            (C) 2005 Max Howell
-
-#include <qapplication.h>
-#include <qpixmap.h>
-#include <qprocess.h>
-
-#include <kstandarddirs.h>
-#include "splash.h"
-
-extern "C"
-{
-    #include <unistd.h> //usleep
-}
-
-Splash::Splash()
-        : QWidget( 0, 0, WType_TopLevel | WX11BypassWM | WStyle_StaysOnTop )
-{
-    QString path = KStandardDirs().findResource("data", "amarok/images/splash_screen.jpg");
-
-    QPixmap splash( path );
-    resize( splash.size() );
-    setBackgroundPixmap( splash );
-    setFocusPolicy( NoFocus );
-
-    //NOTE Don't break Xinerama!
-    const QRect d = QApplication::desktop()->screenGeometry( QApplication::desktop()->screenNumber( QPoint() ) );
-    QPoint p = d.topLeft();
-    p.rx() += (d.width() - width()) / 2;
-    p.ry() += (d.height() - height()) / 2;
-    move( p );
-
-    show();
-}
-
-void
-Splash::mousePressEvent( QMouseEvent* )
-{
-    hide();
-}
--- amarok/src/loader/splash.h.sav	2007-08-15 15:02:24.000000000 +0200
+++ amarok/src/loader/splash.h	1970-01-01 01:00:00.000000000 +0100
@@ -1,29 +0,0 @@
-/*
-  This program is free software; you can redistribute it and/or modify
-  it under the terms of the GNU General Public License as published by
-  the Free Software Foundation; either version 2 of the License, or
-  (at your option) any later version.
-*/
-
-/*
-  osd.h   -  Provides an interface to a plain QWidget, which is independent of KDE (bypassed to X11)
-  begin:     Fre Sep 26 2003
-  copyright: (C) 2003 by Christian Muehlhaeuser
-  email:     muesli@chareit.net
-*/
-
-#ifndef SPLASH_H
-#define SPLASH_H
-
-#include <qwidget.h> //baseclass
-
-class Splash : public QWidget
-{
-public:
-    Splash();
-
-protected:
-    virtual void mousePressEvent( QMouseEvent* );
-};
-
-#endif
--- amarok/src/loader/loader.h.sav	2007-08-15 15:02:24.000000000 +0200
+++ amarok/src/loader/loader.h	2007-08-15 15:07:06.000000000 +0200
@@ -34,7 +34,7 @@ private:
 
     QProcess *m_proc;
     int       m_counter;
-    QObject  *m_splash;
+    QWidget  *m_splash;
 
     static const int INTERVAL = 10; //ms
 };
